Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model
Interface DataControlFactory

public interface DataControlFactory

Field Summary
`static java.lang.String` | `APP_PARAM_COOKIE_PROPERTIES` Deprecated. use APP_PARAM_REQUEST_CONTEXT instead.
`static java.lang.String` | `APP_PARAM_ENV_INFO`
`static java.lang.String` | `APP_PARAM_HTTP_SESSION` Deprecated. the HttpSession will no longer be passed as an application parameter from the ADFBindingFilter. DataControls that must access the HttpSession should use: `((HttpServletRequest)ADFContext.getCurrent().getEnvironment().getRequest()).getSession(true)` or: `ADFContext.getCurrent().getSessionScope().get(String)` instead.
`static java.lang.String` | `APP_PARAM_POOL_PROPERTIES`
`static java.lang.String` | `APP_PARAM_REQUEST_CONTEXT`
`static java.lang.String` | `APP_PARAMS_BINDING_CONTEXT`

Method Summary
`DataControl` | `createSession(BindingContext ctx, org.w3c.dom.Node node, java.util.Map applicationParams)` The DataControl developer should implement createSession to return an instance of `DataControl`.
`DataControl` | `createSession(BindingContext ctx, java.lang.String sName, java.util.Map applicationParams, java.util.Map cpxMetaData)` The DataControl developer should implement createSession to return an instance of `DataControl`.

Field Detail

### APP_PARAM_ENV_INFO

    public static final java.lang.String APP_PARAM_ENV_INFO

  See Also:
    Constant Field Values

### APP_PARAM_HTTP_SESSION

    public static final java.lang.String APP_PARAM_HTTP_SESSION

  Deprecated. the HttpSession will no longer be passed as an application parameter from the ADFBindingFilter. DataControls that must access the HttpSession should use:

  `((HttpServletRequest)ADFContext.getCurrent().getEnvironment().getRequest()).getSession(true)`

  or:

  `ADFContext.getCurrent().getSessionScope().get(String)`

  instead.

  See Also:
    Constant Field Values

### APP_PARAM_POOL_PROPERTIES

    public static final java.lang.String APP_PARAM_POOL_PROPERTIES

  See Also:
    Constant Field Values

### APP_PARAMS_BINDING_CONTEXT

    public static final java.lang.String APP_PARAMS_BINDING_CONTEXT

  See Also:
    Constant Field Values

### APP_PARAM_REQUEST_CONTEXT

    public static final java.lang.String APP_PARAM_REQUEST_CONTEXT

  See Also:
    Constant Field Values

### APP_PARAM_COOKIE_PROPERTIES

    public static final java.lang.String APP_PARAM_COOKIE_PROPERTIES

  Deprecated. use APP_PARAM_REQUEST_CONTEXT instead.
  See Also:
    Constant Field Values

Method Detail

### createSession

    public DataControl createSession(BindingContext ctx,
                                     org.w3c.dom.Node node,
                                     java.util.Map applicationParams)

  The DataControl developer should implement createSession to return an instance of `DataControl`. For example, the JavaBean DataControl implements `DataControlFactoryImpl` to return an instance of `DCGenericDataControl`.

  The data binding framework will typically invoke this method once, at the beginning of a new application session. The DataControl factory implementation to use is determined by the DataControl definition.

  Parameters:
    `ctx` - The BindingContext for which the DataControl is being created
    `node` - The DOM node of the DataControl definition that is being created
    `applicationParams` - Additional application createSession context

    The framework may pass additional context in the applicationParams Map. For example, in the case of a HttpSession, the framework will add the current HttpSession to the applicationParams Map.

### createSession

    public DataControl createSession(BindingContext ctx,
                                     java.lang.String sName,
                                     java.util.Map applicationParams,
                                     java.util.Map cpxMetaData)

  The DataControl developer should implement createSession to return an instance of `DataControl`. For example, the JavaBean DataControl implements `DataControlFactoryImpl` to return an instance of `DCGenericDataControl`.

  The data binding framework will typically invoke this method once, at the beginning of a new application session. The DataControl factory implementation to use is determined by the DataControl definition.

  Parameters:
    `ctx` - The BindingContext for which the DataControl is being created
    `sName` - The DataControl name as specified in the DataControl definition
    `applicationParams` - Additional application createSession context
    `cpxMetaData` - A Map containing name/value pairs of the properties defined in the DataControl definition

    The framework may pass additional context in the applicationParams Map. For example, in the case of a HttpSession, the framework will add the current HttpSession to the applicationParams Map.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.